import type { Client, ClientOptions } from './client.js';
import { type SeamHttpMultiWorkspaceOptions, type SeamHttpOptions, type SeamHttpRequestOptions } from './options.js';
export declare const defaultEndpoint = "https://connect.getseam.com";
export declare const sdkHeaders: {
    'seam-sdk-name': string;
    'seam-sdk-version': string;
    'seam-lts-version': string;
};
export type Options = SeamHttpMultiWorkspaceOptions | (SeamHttpOptions & {
    publishableKey?: string;
});
type ParsedOptions = Required<(ClientOptions | {
    client: Client;
}) & SeamHttpRequestOptions>;
export declare const parseOptions: (apiKeyOrOptions: string | Options) => ParsedOptions;
export declare const limitToSeamHttpRequestOptions: (options: Required<SeamHttpRequestOptions>) => Required<SeamHttpRequestOptions>;
export declare const isSeamHttpRequestOption: (key: string) => key is "waitForActionAttempt";
export {};
