import type { ApiError } from './api-error-types.js';
export declare class SeamHttpApiError extends Error {
    code: string;
    statusCode: number;
    requestId: string;
    data?: unknown;
    constructor(error: ApiError, statusCode: number, requestId: string);
}
export declare const isSeamHttpApiError: (error: unknown) => error is SeamHttpApiError;
export declare class SeamHttpUnauthorizedError extends SeamHttpApiError {
    code: 'unauthorized';
    statusCode: 401;
    constructor(requestId: string);
}
export declare const isSeamHttpUnauthorizedError: (error: unknown) => error is SeamHttpUnauthorizedError;
export declare class SeamHttpInvalidInputError extends SeamHttpApiError {
    code: 'invalid_input';
    constructor(error: ApiError, statusCode: number, requestId: string);
}
export declare const isSeamHttpInvalidInputError: (error: unknown) => error is SeamHttpInvalidInputError;
