import { z } from 'zod';
export declare const acs_access_group_external_type: z.ZodEnum<["pti_unit", "pti_access_level", "salto_access_group", "brivo_group"]>;
export type AcsAccessGroupExternalType = z.infer<typeof acs_access_group_external_type>;
export declare const acs_access_group: z.ZodObject<{
    acs_access_group_id: z.ZodString;
    acs_system_id: z.ZodString;
    workspace_id: z.ZodString;
    name: z.ZodString;
    access_group_type: z.ZodEnum<["pti_unit", "pti_access_level", "salto_access_group", "brivo_group"]>;
    access_group_type_display_name: z.ZodString;
    display_name: z.ZodString;
    external_type: z.ZodEnum<["pti_unit", "pti_access_level", "salto_access_group", "brivo_group"]>;
    external_type_display_name: z.ZodString;
    created_at: z.ZodString;
}, "strip", z.ZodTypeAny, {
    name: string;
    created_at: string;
    acs_access_group_id: string;
    acs_system_id: string;
    workspace_id: string;
    access_group_type: "pti_unit" | "pti_access_level" | "salto_access_group" | "brivo_group";
    access_group_type_display_name: string;
    display_name: string;
    external_type: "pti_unit" | "pti_access_level" | "salto_access_group" | "brivo_group";
    external_type_display_name: string;
}, {
    name: string;
    created_at: string;
    acs_access_group_id: string;
    acs_system_id: string;
    workspace_id: string;
    access_group_type: "pti_unit" | "pti_access_level" | "salto_access_group" | "brivo_group";
    access_group_type_display_name: string;
    display_name: string;
    external_type: "pti_unit" | "pti_access_level" | "salto_access_group" | "brivo_group";
    external_type_display_name: string;
}>;
export type AcsAccessGroup = z.output<typeof acs_access_group>;
