import { z } from 'zod';
export declare const acs_credential_provisioning_automation: z.ZodObject<{
    acs_credential_provisioning_automation_id: z.ZodString;
    credential_manager_acs_system_id: z.ZodString;
    user_identity_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    acs_credential_provisioning_automation_id: string;
    credential_manager_acs_system_id: string;
    user_identity_id: string;
}, {
    created_at: string;
    workspace_id: string;
    acs_credential_provisioning_automation_id: string;
    credential_manager_acs_system_id: string;
    user_identity_id: string;
}>;
export declare const enrollment_automation: z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    credential_manager_acs_system_id: z.ZodString;
    user_identity_id: z.ZodString;
    enrollment_automation_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    credential_manager_acs_system_id: string;
    user_identity_id: string;
    enrollment_automation_id: string;
}, {
    created_at: string;
    workspace_id: string;
    credential_manager_acs_system_id: string;
    user_identity_id: string;
    enrollment_automation_id: string;
}>;
export type EnrollmentAutomation = z.output<typeof enrollment_automation>;
export type AcsCredentialProvisioningAutomation = z.output<typeof acs_credential_provisioning_automation>;
