import { z } from 'zod';
export declare const seam_bridge_error_map: z.ZodObject<{
    failed_to_create_tunnel: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        message: z.ZodString;
        created_at: z.ZodString;
        error_code: z.ZodLiteral<"failed_to_create_tunnel">;
    }, "strip", z.ZodTypeAny, {
        message: string;
        created_at: string;
        error_code: "failed_to_create_tunnel";
    }, {
        message: string;
        created_at: string;
        error_code: "failed_to_create_tunnel";
    }>>>;
    failed_to_create_proxy: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        message: z.ZodString;
        created_at: z.ZodString;
        error_code: z.ZodLiteral<"failed_to_create_proxy">;
    }, "strip", z.ZodTypeAny, {
        message: string;
        created_at: string;
        error_code: "failed_to_create_proxy";
    }, {
        message: string;
        created_at: string;
        error_code: "failed_to_create_proxy";
    }>>>;
    seam_bridge_unreachable: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        message: z.ZodString;
        created_at: z.ZodString;
        error_code: z.ZodLiteral<"seam_bridge_unreachable">;
    }, "strip", z.ZodTypeAny, {
        message: string;
        created_at: string;
        error_code: "seam_bridge_unreachable";
    }, {
        message: string;
        created_at: string;
        error_code: "seam_bridge_unreachable";
    }>>>;
    managed_by_other_account: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        message: z.ZodString;
        created_at: z.ZodString;
        error_code: z.ZodLiteral<"managed_by_other_account">;
    }, "strip", z.ZodTypeAny, {
        message: string;
        created_at: string;
        error_code: "managed_by_other_account";
    }, {
        message: string;
        created_at: string;
        error_code: "managed_by_other_account";
    }>>>;
}, "strip", z.ZodTypeAny, {
    failed_to_create_tunnel?: {
        message: string;
        created_at: string;
        error_code: "failed_to_create_tunnel";
    } | null | undefined;
    failed_to_create_proxy?: {
        message: string;
        created_at: string;
        error_code: "failed_to_create_proxy";
    } | null | undefined;
    seam_bridge_unreachable?: {
        message: string;
        created_at: string;
        error_code: "seam_bridge_unreachable";
    } | null | undefined;
    managed_by_other_account?: {
        message: string;
        created_at: string;
        error_code: "managed_by_other_account";
    } | null | undefined;
}, {
    failed_to_create_tunnel?: {
        message: string;
        created_at: string;
        error_code: "failed_to_create_tunnel";
    } | null | undefined;
    failed_to_create_proxy?: {
        message: string;
        created_at: string;
        error_code: "failed_to_create_proxy";
    } | null | undefined;
    seam_bridge_unreachable?: {
        message: string;
        created_at: string;
        error_code: "seam_bridge_unreachable";
    } | null | undefined;
    managed_by_other_account?: {
        message: string;
        created_at: string;
        error_code: "managed_by_other_account";
    } | null | undefined;
}>;
export declare const seam_bridge_error: z.ZodUnion<[z.ZodObject<{
    message: z.ZodString;
    created_at: z.ZodString;
    error_code: z.ZodLiteral<"seam_bridge_unreachable">;
}, "strip", z.ZodTypeAny, {
    message: string;
    created_at: string;
    error_code: "seam_bridge_unreachable";
}, {
    message: string;
    created_at: string;
    error_code: "seam_bridge_unreachable";
}>, z.ZodObject<{
    message: z.ZodString;
    created_at: z.ZodString;
    error_code: z.ZodLiteral<"failed_to_create_proxy">;
}, "strip", z.ZodTypeAny, {
    message: string;
    created_at: string;
    error_code: "failed_to_create_proxy";
}, {
    message: string;
    created_at: string;
    error_code: "failed_to_create_proxy";
}>, z.ZodObject<{
    message: z.ZodString;
    created_at: z.ZodString;
    error_code: z.ZodLiteral<"failed_to_create_tunnel">;
}, "strip", z.ZodTypeAny, {
    message: string;
    created_at: string;
    error_code: "failed_to_create_tunnel";
}, {
    message: string;
    created_at: string;
    error_code: "failed_to_create_tunnel";
}>, z.ZodObject<{
    message: z.ZodString;
    created_at: z.ZodString;
    error_code: z.ZodLiteral<"managed_by_other_account">;
}, "strip", z.ZodTypeAny, {
    message: string;
    created_at: string;
    error_code: "managed_by_other_account";
}, {
    message: string;
    created_at: string;
    error_code: "managed_by_other_account";
}>]>;
export type SeamBridgeErrorMap = z.infer<typeof seam_bridge_error_map>;
