import { z } from 'zod';
export declare const acs_system_external_type_values: readonly ["pti_site", "alta_org", "salto_site", "brivo_account", "hid_credential_manager_organization", "visionline_system", "assa_abloy_credential_service", "latch_building"];
export declare const acs_system_external_type: z.ZodOptional<z.ZodEnum<["pti_site", "alta_org", "salto_site", "brivo_account", "hid_credential_manager_organization", "visionline_system", "assa_abloy_credential_service", "latch_building"]>>;
export type AcsSystemExternalType = z.infer<typeof acs_system_external_type>;
export declare const acs_system: z.ZodObject<{
    name: z.ZodString;
    created_at: z.ZodString;
    errors: z.ZodArray<z.ZodObject<{
        error_code: z.ZodString;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        message: string;
        error_code: string;
    }, {
        message: string;
        error_code: string;
    }>, "many">;
    warnings: z.ZodArray<z.ZodObject<{
        warning_code: z.ZodString;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        message: string;
        warning_code: string;
    }, {
        message: string;
        warning_code: string;
    }>, "many">;
    acs_system_id: z.ZodString;
    workspace_id: z.ZodString;
    external_type: z.ZodOptional<z.ZodEnum<["pti_site", "alta_org", "salto_site", "brivo_account", "hid_credential_manager_organization", "visionline_system", "assa_abloy_credential_service", "latch_building"]>>;
    external_type_display_name: z.ZodOptional<z.ZodString>;
    system_type: z.ZodOptional<z.ZodEnum<["pti_site", "alta_org", "salto_site", "brivo_account", "hid_credential_manager_organization", "visionline_system", "assa_abloy_credential_service", "latch_building"]>>;
    system_type_display_name: z.ZodOptional<z.ZodString>;
    connected_account_ids: z.ZodArray<z.ZodString, "many">;
    image_url: z.ZodString;
    image_alt_text: z.ZodString;
    can_automate_enrollment: z.ZodOptional<z.ZodBoolean>;
    can_create_acs_access_groups: z.ZodOptional<z.ZodBoolean>;
    can_remove_acs_users_from_acs_access_groups: z.ZodOptional<z.ZodBoolean>;
    can_add_acs_users_to_acs_access_groups: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    name: string;
    created_at: string;
    errors: {
        message: string;
        error_code: string;
    }[];
    warnings: {
        message: string;
        warning_code: string;
    }[];
    acs_system_id: string;
    workspace_id: string;
    connected_account_ids: string[];
    image_url: string;
    image_alt_text: string;
    external_type?: "pti_site" | "alta_org" | "salto_site" | "brivo_account" | "hid_credential_manager_organization" | "visionline_system" | "assa_abloy_credential_service" | "latch_building" | undefined;
    external_type_display_name?: string | undefined;
    system_type?: "pti_site" | "alta_org" | "salto_site" | "brivo_account" | "hid_credential_manager_organization" | "visionline_system" | "assa_abloy_credential_service" | "latch_building" | undefined;
    system_type_display_name?: string | undefined;
    can_automate_enrollment?: boolean | undefined;
    can_create_acs_access_groups?: boolean | undefined;
    can_remove_acs_users_from_acs_access_groups?: boolean | undefined;
    can_add_acs_users_to_acs_access_groups?: boolean | undefined;
}, {
    name: string;
    created_at: string;
    errors: {
        message: string;
        error_code: string;
    }[];
    warnings: {
        message: string;
        warning_code: string;
    }[];
    acs_system_id: string;
    workspace_id: string;
    connected_account_ids: string[];
    image_url: string;
    image_alt_text: string;
    external_type?: "pti_site" | "alta_org" | "salto_site" | "brivo_account" | "hid_credential_manager_organization" | "visionline_system" | "assa_abloy_credential_service" | "latch_building" | undefined;
    external_type_display_name?: string | undefined;
    system_type?: "pti_site" | "alta_org" | "salto_site" | "brivo_account" | "hid_credential_manager_organization" | "visionline_system" | "assa_abloy_credential_service" | "latch_building" | undefined;
    system_type_display_name?: string | undefined;
    can_automate_enrollment?: boolean | undefined;
    can_create_acs_access_groups?: boolean | undefined;
    can_remove_acs_users_from_acs_access_groups?: boolean | undefined;
    can_add_acs_users_to_acs_access_groups?: boolean | undefined;
}>;
export type AcsSystem = z.output<typeof acs_system>;
