import { z } from 'zod';
export declare const common_action_attempt: z.ZodObject<{
    action_attempt_id: z.ZodString;
    status: z.ZodEnum<["pending", "success", "error"]>;
}, "strip", z.ZodTypeAny, {
    status: "error" | "pending" | "success";
    action_attempt_id: string;
}, {
    status: "error" | "pending" | "success";
    action_attempt_id: string;
}>;
export declare const common_pending_action_attempt: z.ZodObject<{
    action_attempt_id: z.ZodString;
    status: z.ZodLiteral<"pending">;
    result: z.ZodNull;
    error: z.ZodNull;
}, "strip", z.ZodTypeAny, {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
}, {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
}>;
export declare const common_succeeded_action_attempt: z.ZodObject<{
    action_attempt_id: z.ZodString;
    status: z.ZodLiteral<"success">;
    error: z.ZodNull;
}, "strip", z.ZodTypeAny, {
    error: null;
    status: "success";
    action_attempt_id: string;
}, {
    error: null;
    status: "success";
    action_attempt_id: string;
}>;
export declare const common_failed_action_attempt: z.ZodObject<{
    action_attempt_id: z.ZodString;
    status: z.ZodLiteral<"error">;
    result: z.ZodNull;
}, "strip", z.ZodTypeAny, {
    status: "error";
    action_attempt_id: string;
    result: null;
}, {
    status: "error";
    action_attempt_id: string;
    result: null;
}>;
