import { z } from 'zod';
import { access_code_capability_properties, access_code_code_constraint } from './access-code.js';
import { lock_capability_properties } from './lock.js';
import { climate_setting, climate_setting_schedule, fan_mode_setting, hvac_mode_setting, thermostat_capability_properties } from './thermostat.js';
export { access_code_capability_properties, access_code_code_constraint, climate_setting, climate_setting_schedule, fan_mode_setting, hvac_mode_setting, lock_capability_properties, thermostat_capability_properties, };
export declare const capability_properties: z.ZodIntersection<z.ZodObject<{
    _experimental_supported_code_from_access_codes_lengths: z.ZodOptional<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
    code_constraints: z.ZodOptional<z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodObject<{
        constraint_type: z.ZodEnum<["no_zeros", "cannot_start_with_12", "no_triple_consecutive_ints", "cannot_specify_pin_code", "pin_code_matches_existing_set", "start_date_in_future", "no_ascending_or_descending_sequence", "at_least_three_unique_digits", "cannot_contain_089"]>;
    }, "strip", z.ZodTypeAny, {
        constraint_type: "no_zeros" | "cannot_start_with_12" | "no_triple_consecutive_ints" | "cannot_specify_pin_code" | "pin_code_matches_existing_set" | "start_date_in_future" | "no_ascending_or_descending_sequence" | "at_least_three_unique_digits" | "cannot_contain_089";
    }, {
        constraint_type: "no_zeros" | "cannot_start_with_12" | "no_triple_consecutive_ints" | "cannot_specify_pin_code" | "pin_code_matches_existing_set" | "start_date_in_future" | "no_ascending_or_descending_sequence" | "at_least_three_unique_digits" | "cannot_contain_089";
    }>, z.ZodObject<{
        constraint_type: z.ZodEnum<["name_length", "name_must_be_unique"]>;
        min_length: z.ZodOptional<z.ZodNumber>;
        max_length: z.ZodOptional<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        constraint_type: "name_length" | "name_must_be_unique";
        min_length?: number | undefined;
        max_length?: number | undefined;
    }, {
        constraint_type: "name_length" | "name_must_be_unique";
        min_length?: number | undefined;
        max_length?: number | undefined;
    }>]>, "many">>>;
    supported_code_lengths: z.ZodOptional<z.ZodOptional<z.ZodArray<z.ZodNumber, "many">>>;
    max_active_codes_supported: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
    supports_backup_access_code_pool: z.ZodOptional<z.ZodOptional<z.ZodBoolean>>;
    has_native_entry_events: z.ZodOptional<z.ZodOptional<z.ZodBoolean>>;
    locked: z.ZodOptional<z.ZodOptional<z.ZodBoolean>>;
    keypad_battery: z.ZodOptional<z.ZodOptional<z.ZodObject<{
        level: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        level: number;
    }, {
        level: number;
    }>>>;
    door_open: z.ZodOptional<z.ZodOptional<z.ZodBoolean>>;
}, "strip", z.ZodTypeAny, {
    _experimental_supported_code_from_access_codes_lengths?: number[] | undefined;
    code_constraints?: ({
        constraint_type: "no_zeros" | "cannot_start_with_12" | "no_triple_consecutive_ints" | "cannot_specify_pin_code" | "pin_code_matches_existing_set" | "start_date_in_future" | "no_ascending_or_descending_sequence" | "at_least_three_unique_digits" | "cannot_contain_089";
    } | {
        constraint_type: "name_length" | "name_must_be_unique";
        min_length?: number | undefined;
        max_length?: number | undefined;
    })[] | undefined;
    supported_code_lengths?: number[] | undefined;
    max_active_codes_supported?: number | undefined;
    supports_backup_access_code_pool?: boolean | undefined;
    has_native_entry_events?: boolean | undefined;
    locked?: boolean | undefined;
    keypad_battery?: {
        level: number;
    } | undefined;
    door_open?: boolean | undefined;
}, {
    _experimental_supported_code_from_access_codes_lengths?: number[] | undefined;
    code_constraints?: ({
        constraint_type: "no_zeros" | "cannot_start_with_12" | "no_triple_consecutive_ints" | "cannot_specify_pin_code" | "pin_code_matches_existing_set" | "start_date_in_future" | "no_ascending_or_descending_sequence" | "at_least_three_unique_digits" | "cannot_contain_089";
    } | {
        constraint_type: "name_length" | "name_must_be_unique";
        min_length?: number | undefined;
        max_length?: number | undefined;
    })[] | undefined;
    supported_code_lengths?: number[] | undefined;
    max_active_codes_supported?: number | undefined;
    supports_backup_access_code_pool?: boolean | undefined;
    has_native_entry_events?: boolean | undefined;
    locked?: boolean | undefined;
    keypad_battery?: {
        level: number;
    } | undefined;
    door_open?: boolean | undefined;
}>, z.ZodUnion<[z.ZodObject<{
    temperature_fahrenheit: z.ZodOptional<z.ZodNumber>;
    temperature_celsius: z.ZodOptional<z.ZodNumber>;
    relative_humidity: z.ZodOptional<z.ZodNumber>;
    can_enable_automatic_heating: z.ZodOptional<z.ZodBoolean>;
    can_enable_automatic_cooling: z.ZodOptional<z.ZodBoolean>;
    available_hvac_mode_settings: z.ZodOptional<z.ZodArray<z.ZodEnum<["off", "heat", "cool", "heat_cool"]>, "many">>;
    is_heating: z.ZodOptional<z.ZodBoolean>;
    is_cooling: z.ZodOptional<z.ZodBoolean>;
    is_fan_running: z.ZodOptional<z.ZodBoolean>;
    fan_mode_setting: z.ZodOptional<z.ZodEnum<["auto", "on"]>>;
    is_temporary_manual_override_active: z.ZodOptional<z.ZodBoolean>;
    current_climate_setting: z.ZodOptional<z.ZodObject<{
        automatic_heating_enabled: z.ZodBoolean;
        automatic_cooling_enabled: z.ZodBoolean;
        hvac_mode_setting: z.ZodEnum<["off", "heat", "cool", "heat_cool"]>;
        cooling_set_point_celsius: z.ZodOptional<z.ZodNumber>;
        heating_set_point_celsius: z.ZodOptional<z.ZodNumber>;
        cooling_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
        heating_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
        manual_override_allowed: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    }, {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    }>>;
    default_climate_setting: z.ZodOptional<z.ZodOptional<z.ZodObject<{
        automatic_heating_enabled: z.ZodBoolean;
        automatic_cooling_enabled: z.ZodBoolean;
        hvac_mode_setting: z.ZodEnum<["off", "heat", "cool", "heat_cool"]>;
        cooling_set_point_celsius: z.ZodOptional<z.ZodNumber>;
        heating_set_point_celsius: z.ZodOptional<z.ZodNumber>;
        cooling_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
        heating_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
        manual_override_allowed: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    }, {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    }>>>;
    is_climate_setting_schedule_active: z.ZodOptional<z.ZodBoolean>;
    active_climate_setting_schedule: z.ZodOptional<z.ZodOptional<z.ZodObject<{
        name: z.ZodOptional<z.ZodString>;
        device_id: z.ZodString;
        created_at: z.ZodString;
        errors: z.ZodAny;
        climate_setting_schedule_id: z.ZodString;
        schedule_type: z.ZodLiteral<"time_bound">;
        schedule_starts_at: z.ZodString;
        schedule_ends_at: z.ZodString;
        automatic_heating_enabled: z.ZodOptional<z.ZodBoolean>;
        automatic_cooling_enabled: z.ZodOptional<z.ZodBoolean>;
        hvac_mode_setting: z.ZodOptional<z.ZodEnum<["off", "heat", "cool", "heat_cool"]>>;
        cooling_set_point_celsius: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        heating_set_point_celsius: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        cooling_set_point_fahrenheit: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        heating_set_point_fahrenheit: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        manual_override_allowed: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        device_id: string;
        created_at: string;
        climate_setting_schedule_id: string;
        schedule_type: "time_bound";
        schedule_starts_at: string;
        schedule_ends_at: string;
        name?: string | undefined;
        errors?: any;
        automatic_heating_enabled?: boolean | undefined;
        automatic_cooling_enabled?: boolean | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    }, {
        device_id: string;
        created_at: string;
        climate_setting_schedule_id: string;
        schedule_type: "time_bound";
        schedule_starts_at: string;
        schedule_ends_at: string;
        name?: string | undefined;
        errors?: any;
        automatic_heating_enabled?: boolean | undefined;
        automatic_cooling_enabled?: boolean | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    }>>>;
    min_cooling_set_point_celsius: z.ZodOptional<z.ZodNumber>;
    min_cooling_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
    max_cooling_set_point_celsius: z.ZodOptional<z.ZodNumber>;
    max_cooling_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
    min_heating_set_point_celsius: z.ZodOptional<z.ZodNumber>;
    min_heating_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
    max_heating_set_point_celsius: z.ZodOptional<z.ZodNumber>;
    max_heating_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
    is_cooling_available: z.ZodOptional<z.ZodLiteral<true>>;
    is_heating_available: z.ZodOptional<z.ZodLiteral<true>>;
    min_heating_cooling_delta_celsius: z.ZodOptional<z.ZodNumber>;
    min_heating_cooling_delta_fahrenheit: z.ZodOptional<z.ZodNumber>;
}, "strip", z.ZodTypeAny, {
    temperature_fahrenheit?: number | undefined;
    temperature_celsius?: number | undefined;
    relative_humidity?: number | undefined;
    can_enable_automatic_heating?: boolean | undefined;
    can_enable_automatic_cooling?: boolean | undefined;
    available_hvac_mode_settings?: ("off" | "heat" | "cool" | "heat_cool")[] | undefined;
    is_heating?: boolean | undefined;
    is_cooling?: boolean | undefined;
    is_fan_running?: boolean | undefined;
    fan_mode_setting?: "auto" | "on" | undefined;
    is_temporary_manual_override_active?: boolean | undefined;
    current_climate_setting?: {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    } | undefined;
    default_climate_setting?: {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    } | undefined;
    is_climate_setting_schedule_active?: boolean | undefined;
    active_climate_setting_schedule?: {
        device_id: string;
        created_at: string;
        climate_setting_schedule_id: string;
        schedule_type: "time_bound";
        schedule_starts_at: string;
        schedule_ends_at: string;
        name?: string | undefined;
        errors?: any;
        automatic_heating_enabled?: boolean | undefined;
        automatic_cooling_enabled?: boolean | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    } | undefined;
    min_cooling_set_point_celsius?: number | undefined;
    min_cooling_set_point_fahrenheit?: number | undefined;
    max_cooling_set_point_celsius?: number | undefined;
    max_cooling_set_point_fahrenheit?: number | undefined;
    min_heating_set_point_celsius?: number | undefined;
    min_heating_set_point_fahrenheit?: number | undefined;
    max_heating_set_point_celsius?: number | undefined;
    max_heating_set_point_fahrenheit?: number | undefined;
    is_cooling_available?: true | undefined;
    is_heating_available?: true | undefined;
    min_heating_cooling_delta_celsius?: number | undefined;
    min_heating_cooling_delta_fahrenheit?: number | undefined;
}, {
    temperature_fahrenheit?: number | undefined;
    temperature_celsius?: number | undefined;
    relative_humidity?: number | undefined;
    can_enable_automatic_heating?: boolean | undefined;
    can_enable_automatic_cooling?: boolean | undefined;
    available_hvac_mode_settings?: ("off" | "heat" | "cool" | "heat_cool")[] | undefined;
    is_heating?: boolean | undefined;
    is_cooling?: boolean | undefined;
    is_fan_running?: boolean | undefined;
    fan_mode_setting?: "auto" | "on" | undefined;
    is_temporary_manual_override_active?: boolean | undefined;
    current_climate_setting?: {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    } | undefined;
    default_climate_setting?: {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    } | undefined;
    is_climate_setting_schedule_active?: boolean | undefined;
    active_climate_setting_schedule?: {
        device_id: string;
        created_at: string;
        climate_setting_schedule_id: string;
        schedule_type: "time_bound";
        schedule_starts_at: string;
        schedule_ends_at: string;
        name?: string | undefined;
        errors?: any;
        automatic_heating_enabled?: boolean | undefined;
        automatic_cooling_enabled?: boolean | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    } | undefined;
    min_cooling_set_point_celsius?: number | undefined;
    min_cooling_set_point_fahrenheit?: number | undefined;
    max_cooling_set_point_celsius?: number | undefined;
    max_cooling_set_point_fahrenheit?: number | undefined;
    min_heating_set_point_celsius?: number | undefined;
    min_heating_set_point_fahrenheit?: number | undefined;
    max_heating_set_point_celsius?: number | undefined;
    max_heating_set_point_fahrenheit?: number | undefined;
    is_cooling_available?: true | undefined;
    is_heating_available?: true | undefined;
    min_heating_cooling_delta_celsius?: number | undefined;
    min_heating_cooling_delta_fahrenheit?: number | undefined;
}>, z.ZodObject<{
    temperature_fahrenheit: z.ZodOptional<z.ZodNumber>;
    temperature_celsius: z.ZodOptional<z.ZodNumber>;
    relative_humidity: z.ZodOptional<z.ZodNumber>;
    can_enable_automatic_heating: z.ZodOptional<z.ZodBoolean>;
    can_enable_automatic_cooling: z.ZodOptional<z.ZodBoolean>;
    available_hvac_mode_settings: z.ZodOptional<z.ZodArray<z.ZodEnum<["off", "heat", "cool", "heat_cool"]>, "many">>;
    is_cooling_available: z.ZodOptional<z.ZodLiteral<false>>;
    is_heating: z.ZodOptional<z.ZodBoolean>;
    is_cooling: z.ZodOptional<z.ZodBoolean>;
    is_fan_running: z.ZodOptional<z.ZodBoolean>;
    fan_mode_setting: z.ZodOptional<z.ZodEnum<["auto", "on"]>>;
    is_temporary_manual_override_active: z.ZodOptional<z.ZodBoolean>;
    current_climate_setting: z.ZodOptional<z.ZodObject<{
        automatic_heating_enabled: z.ZodBoolean;
        automatic_cooling_enabled: z.ZodBoolean;
        hvac_mode_setting: z.ZodEnum<["off", "heat", "cool", "heat_cool"]>;
        cooling_set_point_celsius: z.ZodOptional<z.ZodNumber>;
        heating_set_point_celsius: z.ZodOptional<z.ZodNumber>;
        cooling_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
        heating_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
        manual_override_allowed: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    }, {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    }>>;
    default_climate_setting: z.ZodOptional<z.ZodOptional<z.ZodObject<{
        automatic_heating_enabled: z.ZodBoolean;
        automatic_cooling_enabled: z.ZodBoolean;
        hvac_mode_setting: z.ZodEnum<["off", "heat", "cool", "heat_cool"]>;
        cooling_set_point_celsius: z.ZodOptional<z.ZodNumber>;
        heating_set_point_celsius: z.ZodOptional<z.ZodNumber>;
        cooling_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
        heating_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
        manual_override_allowed: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    }, {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    }>>>;
    is_climate_setting_schedule_active: z.ZodOptional<z.ZodBoolean>;
    active_climate_setting_schedule: z.ZodOptional<z.ZodOptional<z.ZodObject<{
        name: z.ZodOptional<z.ZodString>;
        device_id: z.ZodString;
        created_at: z.ZodString;
        errors: z.ZodAny;
        climate_setting_schedule_id: z.ZodString;
        schedule_type: z.ZodLiteral<"time_bound">;
        schedule_starts_at: z.ZodString;
        schedule_ends_at: z.ZodString;
        automatic_heating_enabled: z.ZodOptional<z.ZodBoolean>;
        automatic_cooling_enabled: z.ZodOptional<z.ZodBoolean>;
        hvac_mode_setting: z.ZodOptional<z.ZodEnum<["off", "heat", "cool", "heat_cool"]>>;
        cooling_set_point_celsius: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        heating_set_point_celsius: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        cooling_set_point_fahrenheit: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        heating_set_point_fahrenheit: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        manual_override_allowed: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        device_id: string;
        created_at: string;
        climate_setting_schedule_id: string;
        schedule_type: "time_bound";
        schedule_starts_at: string;
        schedule_ends_at: string;
        name?: string | undefined;
        errors?: any;
        automatic_heating_enabled?: boolean | undefined;
        automatic_cooling_enabled?: boolean | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    }, {
        device_id: string;
        created_at: string;
        climate_setting_schedule_id: string;
        schedule_type: "time_bound";
        schedule_starts_at: string;
        schedule_ends_at: string;
        name?: string | undefined;
        errors?: any;
        automatic_heating_enabled?: boolean | undefined;
        automatic_cooling_enabled?: boolean | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    }>>>;
    min_heating_set_point_celsius: z.ZodOptional<z.ZodNumber>;
    min_heating_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
    max_heating_set_point_celsius: z.ZodOptional<z.ZodNumber>;
    max_heating_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
    is_heating_available: z.ZodOptional<z.ZodLiteral<true>>;
}, "strip", z.ZodTypeAny, {
    temperature_fahrenheit?: number | undefined;
    temperature_celsius?: number | undefined;
    relative_humidity?: number | undefined;
    can_enable_automatic_heating?: boolean | undefined;
    can_enable_automatic_cooling?: boolean | undefined;
    available_hvac_mode_settings?: ("off" | "heat" | "cool" | "heat_cool")[] | undefined;
    is_cooling_available?: false | undefined;
    is_heating?: boolean | undefined;
    is_cooling?: boolean | undefined;
    is_fan_running?: boolean | undefined;
    fan_mode_setting?: "auto" | "on" | undefined;
    is_temporary_manual_override_active?: boolean | undefined;
    current_climate_setting?: {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    } | undefined;
    default_climate_setting?: {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    } | undefined;
    is_climate_setting_schedule_active?: boolean | undefined;
    active_climate_setting_schedule?: {
        device_id: string;
        created_at: string;
        climate_setting_schedule_id: string;
        schedule_type: "time_bound";
        schedule_starts_at: string;
        schedule_ends_at: string;
        name?: string | undefined;
        errors?: any;
        automatic_heating_enabled?: boolean | undefined;
        automatic_cooling_enabled?: boolean | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    } | undefined;
    min_heating_set_point_celsius?: number | undefined;
    min_heating_set_point_fahrenheit?: number | undefined;
    max_heating_set_point_celsius?: number | undefined;
    max_heating_set_point_fahrenheit?: number | undefined;
    is_heating_available?: true | undefined;
}, {
    temperature_fahrenheit?: number | undefined;
    temperature_celsius?: number | undefined;
    relative_humidity?: number | undefined;
    can_enable_automatic_heating?: boolean | undefined;
    can_enable_automatic_cooling?: boolean | undefined;
    available_hvac_mode_settings?: ("off" | "heat" | "cool" | "heat_cool")[] | undefined;
    is_cooling_available?: false | undefined;
    is_heating?: boolean | undefined;
    is_cooling?: boolean | undefined;
    is_fan_running?: boolean | undefined;
    fan_mode_setting?: "auto" | "on" | undefined;
    is_temporary_manual_override_active?: boolean | undefined;
    current_climate_setting?: {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    } | undefined;
    default_climate_setting?: {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    } | undefined;
    is_climate_setting_schedule_active?: boolean | undefined;
    active_climate_setting_schedule?: {
        device_id: string;
        created_at: string;
        climate_setting_schedule_id: string;
        schedule_type: "time_bound";
        schedule_starts_at: string;
        schedule_ends_at: string;
        name?: string | undefined;
        errors?: any;
        automatic_heating_enabled?: boolean | undefined;
        automatic_cooling_enabled?: boolean | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    } | undefined;
    min_heating_set_point_celsius?: number | undefined;
    min_heating_set_point_fahrenheit?: number | undefined;
    max_heating_set_point_celsius?: number | undefined;
    max_heating_set_point_fahrenheit?: number | undefined;
    is_heating_available?: true | undefined;
}>, z.ZodObject<{
    temperature_fahrenheit: z.ZodOptional<z.ZodNumber>;
    temperature_celsius: z.ZodOptional<z.ZodNumber>;
    relative_humidity: z.ZodOptional<z.ZodNumber>;
    can_enable_automatic_heating: z.ZodOptional<z.ZodBoolean>;
    can_enable_automatic_cooling: z.ZodOptional<z.ZodBoolean>;
    available_hvac_mode_settings: z.ZodOptional<z.ZodArray<z.ZodEnum<["off", "heat", "cool", "heat_cool"]>, "many">>;
    is_heating_available: z.ZodOptional<z.ZodLiteral<false>>;
    is_heating: z.ZodOptional<z.ZodBoolean>;
    is_cooling: z.ZodOptional<z.ZodBoolean>;
    is_fan_running: z.ZodOptional<z.ZodBoolean>;
    fan_mode_setting: z.ZodOptional<z.ZodEnum<["auto", "on"]>>;
    is_temporary_manual_override_active: z.ZodOptional<z.ZodBoolean>;
    current_climate_setting: z.ZodOptional<z.ZodObject<{
        automatic_heating_enabled: z.ZodBoolean;
        automatic_cooling_enabled: z.ZodBoolean;
        hvac_mode_setting: z.ZodEnum<["off", "heat", "cool", "heat_cool"]>;
        cooling_set_point_celsius: z.ZodOptional<z.ZodNumber>;
        heating_set_point_celsius: z.ZodOptional<z.ZodNumber>;
        cooling_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
        heating_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
        manual_override_allowed: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    }, {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    }>>;
    default_climate_setting: z.ZodOptional<z.ZodOptional<z.ZodObject<{
        automatic_heating_enabled: z.ZodBoolean;
        automatic_cooling_enabled: z.ZodBoolean;
        hvac_mode_setting: z.ZodEnum<["off", "heat", "cool", "heat_cool"]>;
        cooling_set_point_celsius: z.ZodOptional<z.ZodNumber>;
        heating_set_point_celsius: z.ZodOptional<z.ZodNumber>;
        cooling_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
        heating_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
        manual_override_allowed: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    }, {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    }>>>;
    is_climate_setting_schedule_active: z.ZodOptional<z.ZodBoolean>;
    active_climate_setting_schedule: z.ZodOptional<z.ZodOptional<z.ZodObject<{
        name: z.ZodOptional<z.ZodString>;
        device_id: z.ZodString;
        created_at: z.ZodString;
        errors: z.ZodAny;
        climate_setting_schedule_id: z.ZodString;
        schedule_type: z.ZodLiteral<"time_bound">;
        schedule_starts_at: z.ZodString;
        schedule_ends_at: z.ZodString;
        automatic_heating_enabled: z.ZodOptional<z.ZodBoolean>;
        automatic_cooling_enabled: z.ZodOptional<z.ZodBoolean>;
        hvac_mode_setting: z.ZodOptional<z.ZodEnum<["off", "heat", "cool", "heat_cool"]>>;
        cooling_set_point_celsius: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        heating_set_point_celsius: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        cooling_set_point_fahrenheit: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        heating_set_point_fahrenheit: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        manual_override_allowed: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        device_id: string;
        created_at: string;
        climate_setting_schedule_id: string;
        schedule_type: "time_bound";
        schedule_starts_at: string;
        schedule_ends_at: string;
        name?: string | undefined;
        errors?: any;
        automatic_heating_enabled?: boolean | undefined;
        automatic_cooling_enabled?: boolean | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    }, {
        device_id: string;
        created_at: string;
        climate_setting_schedule_id: string;
        schedule_type: "time_bound";
        schedule_starts_at: string;
        schedule_ends_at: string;
        name?: string | undefined;
        errors?: any;
        automatic_heating_enabled?: boolean | undefined;
        automatic_cooling_enabled?: boolean | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    }>>>;
    min_cooling_set_point_celsius: z.ZodOptional<z.ZodNumber>;
    min_cooling_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
    max_cooling_set_point_celsius: z.ZodOptional<z.ZodNumber>;
    max_cooling_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
    is_cooling_available: z.ZodOptional<z.ZodLiteral<true>>;
}, "strip", z.ZodTypeAny, {
    temperature_fahrenheit?: number | undefined;
    temperature_celsius?: number | undefined;
    relative_humidity?: number | undefined;
    can_enable_automatic_heating?: boolean | undefined;
    can_enable_automatic_cooling?: boolean | undefined;
    available_hvac_mode_settings?: ("off" | "heat" | "cool" | "heat_cool")[] | undefined;
    is_heating_available?: false | undefined;
    is_heating?: boolean | undefined;
    is_cooling?: boolean | undefined;
    is_fan_running?: boolean | undefined;
    fan_mode_setting?: "auto" | "on" | undefined;
    is_temporary_manual_override_active?: boolean | undefined;
    current_climate_setting?: {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    } | undefined;
    default_climate_setting?: {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    } | undefined;
    is_climate_setting_schedule_active?: boolean | undefined;
    active_climate_setting_schedule?: {
        device_id: string;
        created_at: string;
        climate_setting_schedule_id: string;
        schedule_type: "time_bound";
        schedule_starts_at: string;
        schedule_ends_at: string;
        name?: string | undefined;
        errors?: any;
        automatic_heating_enabled?: boolean | undefined;
        automatic_cooling_enabled?: boolean | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    } | undefined;
    min_cooling_set_point_celsius?: number | undefined;
    min_cooling_set_point_fahrenheit?: number | undefined;
    max_cooling_set_point_celsius?: number | undefined;
    max_cooling_set_point_fahrenheit?: number | undefined;
    is_cooling_available?: true | undefined;
}, {
    temperature_fahrenheit?: number | undefined;
    temperature_celsius?: number | undefined;
    relative_humidity?: number | undefined;
    can_enable_automatic_heating?: boolean | undefined;
    can_enable_automatic_cooling?: boolean | undefined;
    available_hvac_mode_settings?: ("off" | "heat" | "cool" | "heat_cool")[] | undefined;
    is_heating_available?: false | undefined;
    is_heating?: boolean | undefined;
    is_cooling?: boolean | undefined;
    is_fan_running?: boolean | undefined;
    fan_mode_setting?: "auto" | "on" | undefined;
    is_temporary_manual_override_active?: boolean | undefined;
    current_climate_setting?: {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    } | undefined;
    default_climate_setting?: {
        automatic_heating_enabled: boolean;
        automatic_cooling_enabled: boolean;
        hvac_mode_setting: "off" | "heat" | "cool" | "heat_cool";
        manual_override_allowed: boolean;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    } | undefined;
    is_climate_setting_schedule_active?: boolean | undefined;
    active_climate_setting_schedule?: {
        device_id: string;
        created_at: string;
        climate_setting_schedule_id: string;
        schedule_type: "time_bound";
        schedule_starts_at: string;
        schedule_ends_at: string;
        name?: string | undefined;
        errors?: any;
        automatic_heating_enabled?: boolean | undefined;
        automatic_cooling_enabled?: boolean | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    } | undefined;
    min_cooling_set_point_celsius?: number | undefined;
    min_cooling_set_point_fahrenheit?: number | undefined;
    max_cooling_set_point_celsius?: number | undefined;
    max_cooling_set_point_fahrenheit?: number | undefined;
    is_cooling_available?: true | undefined;
}>]>>;
export type { AccessCodeConstraint } from './access-code.js';
export type { ClimateSetting, FanModeSetting, HvacModeSetting, } from './thermostat.js';
