import { z } from 'zod';
export declare const client_session: z.ZodObject<{
    client_session_id: z.ZodString;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    token: z.ZodString;
    user_identifier_key: z.ZodNullable<z.ZodString>;
    device_count: z.ZodNumber;
    connected_account_ids: z.ZodArray<z.ZodString, "many">;
    connect_webview_ids: z.ZodArray<z.ZodString, "many">;
    user_identity_ids: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connected_account_ids: string[];
    client_session_id: string;
    token: string;
    user_identifier_key: string | null;
    device_count: number;
    connect_webview_ids: string[];
    user_identity_ids: string[];
}, {
    created_at: string;
    workspace_id: string;
    connected_account_ids: string[];
    client_session_id: string;
    token: string;
    user_identifier_key: string | null;
    device_count: number;
    connect_webview_ids: string[];
    user_identity_ids: string[];
}>;
