import { z } from 'zod';
export declare const connected_account: z.ZodObject<{
    connected_account_id: z.ZodOptional<z.ZodString>;
    created_at: z.ZodOptional<z.ZodString>;
    user_identifier: z.ZodOptional<z.ZodObject<{
        username: z.ZodOptional<z.ZodString>;
        api_url: z.ZodOptional<z.ZodString>;
        email: z.ZodOptional<z.ZodString>;
        phone: z.ZodOptional<z.ZodString>;
        exclusive: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        username?: string | undefined;
        api_url?: string | undefined;
        email?: string | undefined;
        phone?: string | undefined;
        exclusive?: boolean | undefined;
    }, {
        username?: string | undefined;
        api_url?: string | undefined;
        email?: string | undefined;
        phone?: string | undefined;
        exclusive?: boolean | undefined;
    }>>;
    account_type: z.ZodOptional<z.ZodString>;
    account_type_display_name: z.ZodString;
    errors: z.ZodAny;
    warnings: z.ZodAny;
    custom_metadata: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodBoolean]>>;
    automatically_manage_new_devices: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    custom_metadata: Record<string, string | boolean>;
    automatically_manage_new_devices: boolean;
    account_type_display_name: string;
    connected_account_id?: string | undefined;
    created_at?: string | undefined;
    user_identifier?: {
        username?: string | undefined;
        api_url?: string | undefined;
        email?: string | undefined;
        phone?: string | undefined;
        exclusive?: boolean | undefined;
    } | undefined;
    account_type?: string | undefined;
    errors?: any;
    warnings?: any;
}, {
    custom_metadata: Record<string, string | boolean>;
    automatically_manage_new_devices: boolean;
    account_type_display_name: string;
    connected_account_id?: string | undefined;
    created_at?: string | undefined;
    user_identifier?: {
        username?: string | undefined;
        api_url?: string | undefined;
        email?: string | undefined;
        phone?: string | undefined;
        exclusive?: boolean | undefined;
    } | undefined;
    account_type?: string | undefined;
    errors?: any;
    warnings?: any;
}>;
