import { z } from 'zod';
export declare const dormakaba_oracode_time_slot: z.ZodObject<{
    name: z.ZodString;
    prefix: z.ZodNumber;
    check_in_time: z.ZodString;
    check_out_time: z.ZodString;
    is_24_hour: z.ZodBoolean;
    is_biweekly_mode: z.ZodBoolean;
    is_one_shot: z.ZodBoolean;
    is_master: z.ZodBoolean;
    ext_dormakaba_oracode_user_level_prefix: z.ZodNumber;
    dormakaba_oracode_user_level_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    name: string;
    prefix: number;
    check_in_time: string;
    check_out_time: string;
    is_24_hour: boolean;
    is_biweekly_mode: boolean;
    is_one_shot: boolean;
    is_master: boolean;
    ext_dormakaba_oracode_user_level_prefix: number;
    dormakaba_oracode_user_level_id: string;
}, {
    name: string;
    prefix: number;
    check_in_time: string;
    check_out_time: string;
    is_24_hour: boolean;
    is_biweekly_mode: boolean;
    is_one_shot: boolean;
    is_master: boolean;
    ext_dormakaba_oracode_user_level_prefix: number;
    dormakaba_oracode_user_level_id: string;
}>;
export declare const device_metadata: z.ZodObject<{
    august_metadata: z.ZodOptional<z.ZodObject<{
        lock_id: z.ZodString;
        lock_name: z.ZodString;
        house_name: z.ZodString;
        has_keypad: z.ZodBoolean;
        keypad_battery_level: z.ZodOptional<z.ZodString>;
        model: z.ZodOptional<z.ZodString>;
        house_id: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        lock_id: string;
        lock_name: string;
        house_name: string;
        has_keypad: boolean;
        keypad_battery_level?: string | undefined;
        model?: string | undefined;
        house_id?: string | undefined;
    }, {
        lock_id: string;
        lock_name: string;
        house_name: string;
        has_keypad: boolean;
        keypad_battery_level?: string | undefined;
        model?: string | undefined;
        house_id?: string | undefined;
    }>>;
    avigilon_alta_metadata: z.ZodOptional<z.ZodObject<{
        entry_name: z.ZodString;
        org_name: z.ZodString;
        zone_id: z.ZodNumber;
        zone_name: z.ZodString;
        site_id: z.ZodNumber;
        site_name: z.ZodString;
        entry_relays_total_count: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        entry_name: string;
        org_name: string;
        zone_id: number;
        zone_name: string;
        site_id: number;
        site_name: string;
        entry_relays_total_count: number;
    }, {
        entry_name: string;
        org_name: string;
        zone_id: number;
        zone_name: string;
        site_id: number;
        site_name: string;
        entry_relays_total_count: number;
    }>>;
    schlage_metadata: z.ZodOptional<z.ZodObject<{
        device_id: z.ZodString;
        device_name: z.ZodString;
        access_code_length: z.ZodNullable<z.ZodNumber>;
        model: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        device_id: string;
        device_name: string;
        access_code_length: number | null;
        model?: string | undefined;
    }, {
        device_id: string;
        device_name: string;
        access_code_length: number | null;
        model?: string | undefined;
    }>>;
    smartthings_metadata: z.ZodOptional<z.ZodObject<{
        device_id: z.ZodString;
        device_name: z.ZodString;
        model: z.ZodOptional<z.ZodString>;
        location_id: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        device_id: string;
        device_name: string;
        model?: string | undefined;
        location_id?: string | undefined;
    }, {
        device_id: string;
        device_name: string;
        model?: string | undefined;
        location_id?: string | undefined;
    }>>;
    lockly_metadata: z.ZodOptional<z.ZodObject<{
        device_id: z.ZodString;
        device_name: z.ZodString;
        model: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        device_id: string;
        device_name: string;
        model?: string | undefined;
    }, {
        device_id: string;
        device_name: string;
        model?: string | undefined;
    }>>;
    nuki_metadata: z.ZodOptional<z.ZodObject<{
        device_id: z.ZodString;
        device_name: z.ZodString;
        keypad_battery_critical: z.ZodOptional<z.ZodBoolean>;
        keypad_paired: z.ZodOptional<z.ZodBoolean>;
        keypad_2_paired: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        device_id: string;
        device_name: string;
        keypad_battery_critical?: boolean | undefined;
        keypad_paired?: boolean | undefined;
        keypad_2_paired?: boolean | undefined;
    }, {
        device_id: string;
        device_name: string;
        keypad_battery_critical?: boolean | undefined;
        keypad_paired?: boolean | undefined;
        keypad_2_paired?: boolean | undefined;
    }>>;
    kwikset_metadata: z.ZodOptional<z.ZodObject<{
        device_id: z.ZodString;
        device_name: z.ZodString;
        model_number: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        device_id: string;
        device_name: string;
        model_number: string;
    }, {
        device_id: string;
        device_name: string;
        model_number: string;
    }>>;
    salto_metadata: z.ZodOptional<z.ZodObject<{
        lock_id: z.ZodString;
        customer_reference: z.ZodString;
        lock_type: z.ZodString;
        battery_level: z.ZodString;
        locked_state: z.ZodString;
        model: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        lock_id: string;
        customer_reference: string;
        lock_type: string;
        battery_level: string;
        locked_state: string;
        model?: string | undefined;
    }, {
        lock_id: string;
        customer_reference: string;
        lock_type: string;
        battery_level: string;
        locked_state: string;
        model?: string | undefined;
    }>>;
    genie_metadata: z.ZodOptional<z.ZodObject<{
        device_name: z.ZodString;
        door_name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        door_name: string;
        device_name: string;
    }, {
        door_name: string;
        device_name: string;
    }>>;
    brivo_metadata: z.ZodOptional<z.ZodObject<{
        device_name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        device_name: string;
    }, {
        device_name: string;
    }>>;
    igloo_metadata: z.ZodOptional<z.ZodObject<{
        device_id: z.ZodString;
        bridge_id: z.ZodString;
        model: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        device_id: string;
        bridge_id: string;
        model?: string | undefined;
    }, {
        device_id: string;
        bridge_id: string;
        model?: string | undefined;
    }>>;
    noiseaware_metadata: z.ZodOptional<z.ZodObject<{
        device_model: z.ZodEnum<["indoor", "outdoor"]>;
        noise_level_nrs: z.ZodNumber;
        noise_level_decibel: z.ZodNumber;
        device_name: z.ZodString;
        device_id: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        device_id: string;
        device_name: string;
        device_model: "indoor" | "outdoor";
        noise_level_nrs: number;
        noise_level_decibel: number;
    }, {
        device_id: string;
        device_name: string;
        device_model: "indoor" | "outdoor";
        noise_level_nrs: number;
        noise_level_decibel: number;
    }>>;
    minut_metadata: z.ZodOptional<z.ZodObject<{
        device_id: z.ZodString;
        device_name: z.ZodString;
        latest_sensor_values: z.ZodObject<{
            temperature: z.ZodObject<{
                time: z.ZodString;
                value: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                time: string;
                value: number;
            }, {
                time: string;
                value: number;
            }>;
            sound: z.ZodObject<{
                time: z.ZodString;
                value: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                time: string;
                value: number;
            }, {
                time: string;
                value: number;
            }>;
            humidity: z.ZodObject<{
                time: z.ZodString;
                value: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                time: string;
                value: number;
            }, {
                time: string;
                value: number;
            }>;
            pressure: z.ZodObject<{
                time: z.ZodString;
                value: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                time: string;
                value: number;
            }, {
                time: string;
                value: number;
            }>;
            accelerometer_z: z.ZodObject<{
                time: z.ZodString;
                value: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                time: string;
                value: number;
            }, {
                time: string;
                value: number;
            }>;
        }, "strip", z.ZodTypeAny, {
            pressure: {
                time: string;
                value: number;
            };
            temperature: {
                time: string;
                value: number;
            };
            sound: {
                time: string;
                value: number;
            };
            humidity: {
                time: string;
                value: number;
            };
            accelerometer_z: {
                time: string;
                value: number;
            };
        }, {
            pressure: {
                time: string;
                value: number;
            };
            temperature: {
                time: string;
                value: number;
            };
            sound: {
                time: string;
                value: number;
            };
            humidity: {
                time: string;
                value: number;
            };
            accelerometer_z: {
                time: string;
                value: number;
            };
        }>;
    }, "strip", z.ZodTypeAny, {
        device_id: string;
        device_name: string;
        latest_sensor_values: {
            pressure: {
                time: string;
                value: number;
            };
            temperature: {
                time: string;
                value: number;
            };
            sound: {
                time: string;
                value: number;
            };
            humidity: {
                time: string;
                value: number;
            };
            accelerometer_z: {
                time: string;
                value: number;
            };
        };
    }, {
        device_id: string;
        device_name: string;
        latest_sensor_values: {
            pressure: {
                time: string;
                value: number;
            };
            temperature: {
                time: string;
                value: number;
            };
            sound: {
                time: string;
                value: number;
            };
            humidity: {
                time: string;
                value: number;
            };
            accelerometer_z: {
                time: string;
                value: number;
            };
        };
    }>>;
    four_suites_metadata: z.ZodOptional<z.ZodObject<{
        device_id: z.ZodNumber;
        device_name: z.ZodString;
        reclose_delay_in_seconds: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        device_id: number;
        device_name: string;
        reclose_delay_in_seconds: number;
    }, {
        device_id: number;
        device_name: string;
        reclose_delay_in_seconds: number;
    }>>;
    two_n_metadata: z.ZodOptional<z.ZodObject<{
        device_id: z.ZodNumber;
        device_name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        device_id: number;
        device_name: string;
    }, {
        device_id: number;
        device_name: string;
    }>>;
    controlbyweb_metadata: z.ZodOptional<z.ZodObject<{
        device_id: z.ZodString;
        device_name: z.ZodString;
        relay_name: z.ZodNullable<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        device_id: string;
        device_name: string;
        relay_name: string | null;
    }, {
        device_id: string;
        device_name: string;
        relay_name: string | null;
    }>>;
    ttlock_metadata: z.ZodOptional<z.ZodObject<{
        lock_id: z.ZodNumber;
        lock_alias: z.ZodString;
        feature_value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        lock_id: number;
        lock_alias: string;
        feature_value: string;
    }, {
        lock_id: number;
        lock_alias: string;
        feature_value: string;
    }>>;
    seam_bridge_metadata: z.ZodOptional<z.ZodObject<{
        unlock_method: z.ZodOptional<z.ZodEnum<["bridge", "doorking"]>>;
        device_num: z.ZodNumber;
        name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        name: string;
        device_num: number;
        unlock_method?: "bridge" | "doorking" | undefined;
    }, {
        name: string;
        device_num: number;
        unlock_method?: "bridge" | "doorking" | undefined;
    }>>;
    igloohome_metadata: z.ZodOptional<z.ZodObject<{
        device_id: z.ZodString;
        device_name: z.ZodString;
        bridge_id: z.ZodOptional<z.ZodString>;
        bridge_name: z.ZodOptional<z.ZodString>;
        keypad_id: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        device_id: string;
        device_name: string;
        bridge_id?: string | undefined;
        bridge_name?: string | undefined;
        keypad_id?: string | undefined;
    }, {
        device_id: string;
        device_name: string;
        bridge_id?: string | undefined;
        bridge_name?: string | undefined;
        keypad_id?: string | undefined;
    }>>;
    nest_metadata: z.ZodOptional<z.ZodObject<{
        nest_device_id: z.ZodString;
        device_name: z.ZodString;
        custom_name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        device_name: string;
        nest_device_id: string;
        custom_name: string;
    }, {
        device_name: string;
        nest_device_id: string;
        custom_name: string;
    }>>;
    ecobee_metadata: z.ZodOptional<z.ZodObject<{
        ecobee_device_id: z.ZodString;
        device_name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        device_name: string;
        ecobee_device_id: string;
    }, {
        device_name: string;
        ecobee_device_id: string;
    }>>;
    honeywell_resideo_metadata: z.ZodOptional<z.ZodObject<{
        honeywell_resideo_device_id: z.ZodString;
        device_name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        device_name: string;
        honeywell_resideo_device_id: string;
    }, {
        device_name: string;
        honeywell_resideo_device_id: string;
    }>>;
    hubitat_metadata: z.ZodOptional<z.ZodObject<{
        device_id: z.ZodString;
        device_name: z.ZodString;
        device_label: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        device_id: string;
        device_name: string;
        device_label: string;
    }, {
        device_id: string;
        device_name: string;
        device_label: string;
    }>>;
    dormakaba_oracode_metadata: z.ZodOptional<z.ZodObject<{
        door_id: z.ZodNumber;
        door_name: z.ZodString;
        device_id: z.ZodOptional<z.ZodNumber>;
        door_is_wireless: z.ZodBoolean;
        site_id: z.ZodNumber;
        site_name: z.ZodString;
        iana_timezone: z.ZodOptional<z.ZodString>;
        predefined_time_slots: z.ZodOptional<z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            prefix: z.ZodNumber;
            check_in_time: z.ZodString;
            check_out_time: z.ZodString;
            is_24_hour: z.ZodBoolean;
            is_biweekly_mode: z.ZodBoolean;
            is_one_shot: z.ZodBoolean;
            is_master: z.ZodBoolean;
            ext_dormakaba_oracode_user_level_prefix: z.ZodNumber;
            dormakaba_oracode_user_level_id: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            name: string;
            prefix: number;
            check_in_time: string;
            check_out_time: string;
            is_24_hour: boolean;
            is_biweekly_mode: boolean;
            is_one_shot: boolean;
            is_master: boolean;
            ext_dormakaba_oracode_user_level_prefix: number;
            dormakaba_oracode_user_level_id: string;
        }, {
            name: string;
            prefix: number;
            check_in_time: string;
            check_out_time: string;
            is_24_hour: boolean;
            is_biweekly_mode: boolean;
            is_one_shot: boolean;
            is_master: boolean;
            ext_dormakaba_oracode_user_level_prefix: number;
            dormakaba_oracode_user_level_id: string;
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        door_name: string;
        site_id: number;
        site_name: string;
        door_id: number;
        door_is_wireless: boolean;
        device_id?: number | undefined;
        iana_timezone?: string | undefined;
        predefined_time_slots?: {
            name: string;
            prefix: number;
            check_in_time: string;
            check_out_time: string;
            is_24_hour: boolean;
            is_biweekly_mode: boolean;
            is_one_shot: boolean;
            is_master: boolean;
            ext_dormakaba_oracode_user_level_prefix: number;
            dormakaba_oracode_user_level_id: string;
        }[] | undefined;
    }, {
        door_name: string;
        site_id: number;
        site_name: string;
        door_id: number;
        door_is_wireless: boolean;
        device_id?: number | undefined;
        iana_timezone?: string | undefined;
        predefined_time_slots?: {
            name: string;
            prefix: number;
            check_in_time: string;
            check_out_time: string;
            is_24_hour: boolean;
            is_biweekly_mode: boolean;
            is_one_shot: boolean;
            is_master: boolean;
            ext_dormakaba_oracode_user_level_prefix: number;
            dormakaba_oracode_user_level_id: string;
        }[] | undefined;
    }>>;
    wyze_metadata: z.ZodOptional<z.ZodObject<{
        device_id: z.ZodString;
        device_name: z.ZodString;
        product_name: z.ZodString;
        product_type: z.ZodString;
        product_model: z.ZodString;
        device_info_model: z.ZodString;
        keypad_uuid: z.ZodOptional<z.ZodString>;
        locker_status_hardlock: z.ZodOptional<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        device_id: string;
        device_name: string;
        product_name: string;
        product_type: string;
        product_model: string;
        device_info_model: string;
        keypad_uuid?: string | undefined;
        locker_status_hardlock?: number | undefined;
    }, {
        device_id: string;
        device_name: string;
        product_name: string;
        product_type: string;
        product_model: string;
        device_info_model: string;
        keypad_uuid?: string | undefined;
        locker_status_hardlock?: number | undefined;
    }>>;
    tedee_metadata: z.ZodOptional<z.ZodObject<{
        device_id: z.ZodNumber;
        serial_number: z.ZodString;
        device_name: z.ZodString;
        device_model: z.ZodString;
        bridge_id: z.ZodNumber;
        bridge_name: z.ZodString;
        keypad_id: z.ZodOptional<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        device_id: number;
        device_name: string;
        bridge_id: number;
        device_model: string;
        bridge_name: string;
        serial_number: string;
        keypad_id?: number | undefined;
    }, {
        device_id: number;
        device_name: string;
        bridge_id: number;
        device_model: string;
        bridge_name: string;
        serial_number: string;
        keypad_id?: number | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    august_metadata?: {
        lock_id: string;
        lock_name: string;
        house_name: string;
        has_keypad: boolean;
        keypad_battery_level?: string | undefined;
        model?: string | undefined;
        house_id?: string | undefined;
    } | undefined;
    avigilon_alta_metadata?: {
        entry_name: string;
        org_name: string;
        zone_id: number;
        zone_name: string;
        site_id: number;
        site_name: string;
        entry_relays_total_count: number;
    } | undefined;
    schlage_metadata?: {
        device_id: string;
        device_name: string;
        access_code_length: number | null;
        model?: string | undefined;
    } | undefined;
    smartthings_metadata?: {
        device_id: string;
        device_name: string;
        model?: string | undefined;
        location_id?: string | undefined;
    } | undefined;
    lockly_metadata?: {
        device_id: string;
        device_name: string;
        model?: string | undefined;
    } | undefined;
    nuki_metadata?: {
        device_id: string;
        device_name: string;
        keypad_battery_critical?: boolean | undefined;
        keypad_paired?: boolean | undefined;
        keypad_2_paired?: boolean | undefined;
    } | undefined;
    kwikset_metadata?: {
        device_id: string;
        device_name: string;
        model_number: string;
    } | undefined;
    salto_metadata?: {
        lock_id: string;
        customer_reference: string;
        lock_type: string;
        battery_level: string;
        locked_state: string;
        model?: string | undefined;
    } | undefined;
    genie_metadata?: {
        door_name: string;
        device_name: string;
    } | undefined;
    brivo_metadata?: {
        device_name: string;
    } | undefined;
    igloo_metadata?: {
        device_id: string;
        bridge_id: string;
        model?: string | undefined;
    } | undefined;
    noiseaware_metadata?: {
        device_id: string;
        device_name: string;
        device_model: "indoor" | "outdoor";
        noise_level_nrs: number;
        noise_level_decibel: number;
    } | undefined;
    minut_metadata?: {
        device_id: string;
        device_name: string;
        latest_sensor_values: {
            pressure: {
                time: string;
                value: number;
            };
            temperature: {
                time: string;
                value: number;
            };
            sound: {
                time: string;
                value: number;
            };
            humidity: {
                time: string;
                value: number;
            };
            accelerometer_z: {
                time: string;
                value: number;
            };
        };
    } | undefined;
    four_suites_metadata?: {
        device_id: number;
        device_name: string;
        reclose_delay_in_seconds: number;
    } | undefined;
    two_n_metadata?: {
        device_id: number;
        device_name: string;
    } | undefined;
    controlbyweb_metadata?: {
        device_id: string;
        device_name: string;
        relay_name: string | null;
    } | undefined;
    ttlock_metadata?: {
        lock_id: number;
        lock_alias: string;
        feature_value: string;
    } | undefined;
    seam_bridge_metadata?: {
        name: string;
        device_num: number;
        unlock_method?: "bridge" | "doorking" | undefined;
    } | undefined;
    igloohome_metadata?: {
        device_id: string;
        device_name: string;
        bridge_id?: string | undefined;
        bridge_name?: string | undefined;
        keypad_id?: string | undefined;
    } | undefined;
    nest_metadata?: {
        device_name: string;
        nest_device_id: string;
        custom_name: string;
    } | undefined;
    ecobee_metadata?: {
        device_name: string;
        ecobee_device_id: string;
    } | undefined;
    honeywell_resideo_metadata?: {
        device_name: string;
        honeywell_resideo_device_id: string;
    } | undefined;
    hubitat_metadata?: {
        device_id: string;
        device_name: string;
        device_label: string;
    } | undefined;
    dormakaba_oracode_metadata?: {
        door_name: string;
        site_id: number;
        site_name: string;
        door_id: number;
        door_is_wireless: boolean;
        device_id?: number | undefined;
        iana_timezone?: string | undefined;
        predefined_time_slots?: {
            name: string;
            prefix: number;
            check_in_time: string;
            check_out_time: string;
            is_24_hour: boolean;
            is_biweekly_mode: boolean;
            is_one_shot: boolean;
            is_master: boolean;
            ext_dormakaba_oracode_user_level_prefix: number;
            dormakaba_oracode_user_level_id: string;
        }[] | undefined;
    } | undefined;
    wyze_metadata?: {
        device_id: string;
        device_name: string;
        product_name: string;
        product_type: string;
        product_model: string;
        device_info_model: string;
        keypad_uuid?: string | undefined;
        locker_status_hardlock?: number | undefined;
    } | undefined;
    tedee_metadata?: {
        device_id: number;
        device_name: string;
        bridge_id: number;
        device_model: string;
        bridge_name: string;
        serial_number: string;
        keypad_id?: number | undefined;
    } | undefined;
}, {
    august_metadata?: {
        lock_id: string;
        lock_name: string;
        house_name: string;
        has_keypad: boolean;
        keypad_battery_level?: string | undefined;
        model?: string | undefined;
        house_id?: string | undefined;
    } | undefined;
    avigilon_alta_metadata?: {
        entry_name: string;
        org_name: string;
        zone_id: number;
        zone_name: string;
        site_id: number;
        site_name: string;
        entry_relays_total_count: number;
    } | undefined;
    schlage_metadata?: {
        device_id: string;
        device_name: string;
        access_code_length: number | null;
        model?: string | undefined;
    } | undefined;
    smartthings_metadata?: {
        device_id: string;
        device_name: string;
        model?: string | undefined;
        location_id?: string | undefined;
    } | undefined;
    lockly_metadata?: {
        device_id: string;
        device_name: string;
        model?: string | undefined;
    } | undefined;
    nuki_metadata?: {
        device_id: string;
        device_name: string;
        keypad_battery_critical?: boolean | undefined;
        keypad_paired?: boolean | undefined;
        keypad_2_paired?: boolean | undefined;
    } | undefined;
    kwikset_metadata?: {
        device_id: string;
        device_name: string;
        model_number: string;
    } | undefined;
    salto_metadata?: {
        lock_id: string;
        customer_reference: string;
        lock_type: string;
        battery_level: string;
        locked_state: string;
        model?: string | undefined;
    } | undefined;
    genie_metadata?: {
        door_name: string;
        device_name: string;
    } | undefined;
    brivo_metadata?: {
        device_name: string;
    } | undefined;
    igloo_metadata?: {
        device_id: string;
        bridge_id: string;
        model?: string | undefined;
    } | undefined;
    noiseaware_metadata?: {
        device_id: string;
        device_name: string;
        device_model: "indoor" | "outdoor";
        noise_level_nrs: number;
        noise_level_decibel: number;
    } | undefined;
    minut_metadata?: {
        device_id: string;
        device_name: string;
        latest_sensor_values: {
            pressure: {
                time: string;
                value: number;
            };
            temperature: {
                time: string;
                value: number;
            };
            sound: {
                time: string;
                value: number;
            };
            humidity: {
                time: string;
                value: number;
            };
            accelerometer_z: {
                time: string;
                value: number;
            };
        };
    } | undefined;
    four_suites_metadata?: {
        device_id: number;
        device_name: string;
        reclose_delay_in_seconds: number;
    } | undefined;
    two_n_metadata?: {
        device_id: number;
        device_name: string;
    } | undefined;
    controlbyweb_metadata?: {
        device_id: string;
        device_name: string;
        relay_name: string | null;
    } | undefined;
    ttlock_metadata?: {
        lock_id: number;
        lock_alias: string;
        feature_value: string;
    } | undefined;
    seam_bridge_metadata?: {
        name: string;
        device_num: number;
        unlock_method?: "bridge" | "doorking" | undefined;
    } | undefined;
    igloohome_metadata?: {
        device_id: string;
        device_name: string;
        bridge_id?: string | undefined;
        bridge_name?: string | undefined;
        keypad_id?: string | undefined;
    } | undefined;
    nest_metadata?: {
        device_name: string;
        nest_device_id: string;
        custom_name: string;
    } | undefined;
    ecobee_metadata?: {
        device_name: string;
        ecobee_device_id: string;
    } | undefined;
    honeywell_resideo_metadata?: {
        device_name: string;
        honeywell_resideo_device_id: string;
    } | undefined;
    hubitat_metadata?: {
        device_id: string;
        device_name: string;
        device_label: string;
    } | undefined;
    dormakaba_oracode_metadata?: {
        door_name: string;
        site_id: number;
        site_name: string;
        door_id: number;
        door_is_wireless: boolean;
        device_id?: number | undefined;
        iana_timezone?: string | undefined;
        predefined_time_slots?: {
            name: string;
            prefix: number;
            check_in_time: string;
            check_out_time: string;
            is_24_hour: boolean;
            is_biweekly_mode: boolean;
            is_one_shot: boolean;
            is_master: boolean;
            ext_dormakaba_oracode_user_level_prefix: number;
            dormakaba_oracode_user_level_id: string;
        }[] | undefined;
    } | undefined;
    wyze_metadata?: {
        device_id: string;
        device_name: string;
        product_name: string;
        product_type: string;
        product_model: string;
        device_info_model: string;
        keypad_uuid?: string | undefined;
        locker_status_hardlock?: number | undefined;
    } | undefined;
    tedee_metadata?: {
        device_id: number;
        device_name: string;
        bridge_id: number;
        device_model: string;
        bridge_name: string;
        serial_number: string;
        keypad_id?: number | undefined;
    } | undefined;
}>;
export type DeviceMetadata = z.infer<typeof device_metadata>;
