import { z } from 'zod';
export declare const DEVICE_PROVIDERS: {
    readonly AKUVOX: "akuvox";
    readonly AUGUST: "august";
    readonly AVIGILON_ALTA: "avigilon_alta";
    readonly BRIVO: "brivo";
    readonly BUTTERFLYMX: "butterflymx";
    readonly SCHLAGE: "schlage";
    readonly SMARTTHINGS: "smartthings";
    readonly YALE: "yale";
    readonly GENIE: "genie";
    readonly DOORKING: "doorking";
    readonly SALTO: "salto";
    readonly LOCKLY: "lockly";
    readonly TTLOCK: "ttlock";
    readonly LINEAR: "linear";
    readonly NOISEAWARE: "noiseaware";
    readonly NUKI: "nuki";
    readonly SEAM_RELAY_ADMIN: "seam_relay_admin";
    readonly IGLOO: "igloo";
    readonly KWIKSET: "kwikset";
    readonly MINUT: "minut";
    readonly MY_2N: "my_2n";
    readonly CONTROLBYWEB: "controlbyweb";
    readonly NEST: "nest";
    readonly IGLOOHOME: "igloohome";
    readonly ECOBEE: "ecobee";
    readonly HUBITAT: "hubitat";
    readonly FOUR_SUITES: "four_suites";
    readonly DORMAKABA_ORACODE: "dormakaba_oracode";
    readonly PTI: "pti";
    readonly WYZE: "wyze";
    readonly SEAM_PASSPORT: "seam_passport";
    readonly VISIONLINE: "visionline";
    readonly ASSA_ABLOY_CREDENTIAL_SERVICE: "assa_abloy_credential_service";
    readonly SEAM_BRIDGE: "seam_bridge";
    readonly TEDEE: "tedee";
    readonly HONEYWELL_RESIDEO: "honeywell_resideo";
    readonly LATCH: "latch";
};
export type DeviceProvider = (typeof DEVICE_PROVIDERS)[keyof typeof DEVICE_PROVIDERS];
export declare const ALL_DEVICE_PROVIDERS: [DeviceProvider, ...DeviceProvider[]];
export type ProviderCategory = keyof typeof PROVIDER_CATEGORY_MAP;
export declare const PROVIDER_CATEGORY_MAP: {
    readonly stable: readonly ["august", "avigilon_alta", "brivo", "schlage", "smartthings", "yale", "nuki", "salto", "controlbyweb", "minut", "my_2n", "kwikset", "ttlock", "noiseaware", "igloohome", "ecobee", "four_suites", "lockly", "wyze", "nest", "tedee", "seam_bridge", "honeywell_resideo", "visionline", "assa_abloy_credential_service", "latch"];
    readonly consumer_smartlocks: readonly ["august", "schlage", "yale", "smartthings", "nuki", "ttlock", "kwikset", "igloohome", "wyze"];
    readonly thermostats: readonly ["ecobee", "nest"];
    readonly noise_sensors: readonly ["minut", "noiseaware"];
    readonly access_control_systems: readonly ["pti", "visionline", "assa_abloy_credential_service", "latch"];
    readonly internal_beta: [DeviceProvider, ...DeviceProvider[]];
};
export declare const PROVIDER_CATEGORIES: [ProviderCategory, ...ProviderCategory[]];
export declare const PUBLIC_PROVIDER_CATEGORIES: typeof PROVIDER_CATEGORIES;
export declare const device_provider: z.ZodObject<{
    device_provider_name: z.ZodEnum<[DeviceProvider, ...DeviceProvider[]]>;
    display_name: z.ZodString;
    image_url: z.ZodString;
    provider_categories: z.ZodArray<z.ZodEnum<["stable" | "consumer_smartlocks" | "thermostats" | "noise_sensors" | "access_control_systems" | "internal_beta", ...("stable" | "consumer_smartlocks" | "thermostats" | "noise_sensors" | "access_control_systems" | "internal_beta")[]]>, "many">;
}, "strip", z.ZodTypeAny, {
    display_name: string;
    image_url: string;
    device_provider_name: "linear" | "assa_abloy_credential_service" | "doorking" | "akuvox" | "august" | "avigilon_alta" | "brivo" | "butterflymx" | "schlage" | "smartthings" | "yale" | "genie" | "salto" | "lockly" | "ttlock" | "noiseaware" | "nuki" | "seam_relay_admin" | "igloo" | "kwikset" | "minut" | "my_2n" | "controlbyweb" | "nest" | "igloohome" | "ecobee" | "hubitat" | "four_suites" | "dormakaba_oracode" | "pti" | "wyze" | "seam_passport" | "visionline" | "seam_bridge" | "tedee" | "honeywell_resideo" | "latch";
    provider_categories: ("stable" | "consumer_smartlocks" | "thermostats" | "noise_sensors" | "access_control_systems" | "internal_beta")[];
}, {
    display_name: string;
    image_url: string;
    device_provider_name: "linear" | "assa_abloy_credential_service" | "doorking" | "akuvox" | "august" | "avigilon_alta" | "brivo" | "butterflymx" | "schlage" | "smartthings" | "yale" | "genie" | "salto" | "lockly" | "ttlock" | "noiseaware" | "nuki" | "seam_relay_admin" | "igloo" | "kwikset" | "minut" | "my_2n" | "controlbyweb" | "nest" | "igloohome" | "ecobee" | "hubitat" | "four_suites" | "dormakaba_oracode" | "pti" | "wyze" | "seam_passport" | "visionline" | "seam_bridge" | "tedee" | "honeywell_resideo" | "latch";
    provider_categories: ("stable" | "consumer_smartlocks" | "thermostats" | "noise_sensors" | "access_control_systems" | "internal_beta")[];
}>;
