import { z } from 'zod';
export declare const access_code_created_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.created">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.created";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.created";
}>;
export type AccessCodeCreatedEvent = z.infer<typeof access_code_created_event>;
export declare const access_code_changed_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.changed">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.changed";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.changed";
}>;
export type AccessCodeChangedEvent = z.infer<typeof access_code_changed_event>;
export declare const access_code_scheduled_on_device_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.scheduled_on_device">;
    code: z.ZodString;
}, "strip", z.ZodTypeAny, {
    code: string;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.scheduled_on_device";
}, {
    code: string;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.scheduled_on_device";
}>;
export type AccessCodeScheduledOnDeviceEvent = z.infer<typeof access_code_scheduled_on_device_event>;
export declare const access_code_set_on_device_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.set_on_device">;
    code: z.ZodString;
}, "strip", z.ZodTypeAny, {
    code: string;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.set_on_device";
}, {
    code: string;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.set_on_device";
}>;
export type AccessCodeSetOnDeviceEvent = z.infer<typeof access_code_set_on_device_event>;
export declare const access_code_removed_from_device_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.removed_from_device">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.removed_from_device";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.removed_from_device";
}>;
export type AccessCodeRemovedFromDeviceEvent = z.infer<typeof access_code_removed_from_device_event>;
export declare const access_code_delay_in_setting_on_device_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.delay_in_setting_on_device">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.delay_in_setting_on_device";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.delay_in_setting_on_device";
}>;
export type AccessCodeDelayInSettingOnDeviceEvent = z.infer<typeof access_code_delay_in_setting_on_device_event>;
export declare const access_code_failed_to_set_on_device_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.failed_to_set_on_device">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.failed_to_set_on_device";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.failed_to_set_on_device";
}>;
export type AccessCodeFailedToSetOnDeviceEvent = z.infer<typeof access_code_failed_to_set_on_device_event>;
export declare const access_code_deleted_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.deleted">;
    code: z.ZodNullable<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    code: string | null;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.deleted";
}, {
    code: string | null;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.deleted";
}>;
export type AccessCodeDeletedEvent = z.infer<typeof access_code_deleted_event>;
export declare const access_code_delay_in_removing_from_device_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.delay_in_removing_from_device">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.delay_in_removing_from_device";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.delay_in_removing_from_device";
}>;
export type AccessCodeDelayInRemovingFromDeviceEvent = z.infer<typeof access_code_delay_in_removing_from_device_event>;
export declare const access_code_failed_to_remove_from_device_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.failed_to_remove_from_device">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.failed_to_remove_from_device";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.failed_to_remove_from_device";
}>;
export type AccessCodeFailedToRemoveFromDeviceEvent = z.infer<typeof access_code_failed_to_remove_from_device_event>;
export declare const access_code_modified_external_to_seam_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.modified_external_to_seam">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.modified_external_to_seam";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.modified_external_to_seam";
}>;
export type AccessCodeModifiedExternalToSeamEvent = z.infer<typeof access_code_modified_external_to_seam_event>;
export declare const access_code_deleted_external_to_seam_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.deleted_external_to_seam">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.deleted_external_to_seam";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.deleted_external_to_seam";
}>;
export type AccessCodeDeletedExternalToSeamEvent = z.infer<typeof access_code_deleted_external_to_seam_event>;
export declare const access_code_backup_access_code_pulled_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.backup_access_code_pulled">;
    backup_access_code_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.backup_access_code_pulled";
    backup_access_code_id: string;
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.backup_access_code_pulled";
    backup_access_code_id: string;
}>;
export type AccessCodeBackupAccessCodePulledEvent = z.infer<typeof access_code_backup_access_code_pulled_event>;
export declare const unmanaged_access_code_converted_to_managed_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.unmanaged.converted_to_managed">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.converted_to_managed";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.converted_to_managed";
}>;
export type UnmanagedAccessCodeConvertedToManagedEvent = z.infer<typeof unmanaged_access_code_converted_to_managed_event>;
export declare const unmanaged_access_code_failed_to_convert_to_managed_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.unmanaged.failed_to_convert_to_managed">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.failed_to_convert_to_managed";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.failed_to_convert_to_managed";
}>;
export type UnmanagedAccessCodeFailedToConvertToManagedEvent = z.infer<typeof unmanaged_access_code_failed_to_convert_to_managed_event>;
export declare const unmanaged_access_code_created_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.unmanaged.created">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.created";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.created";
}>;
export type UnmanagedAccessCodeCreatedEvent = z.infer<typeof unmanaged_access_code_created_event>;
export declare const unmanaged_access_code_removed_event: z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.unmanaged.removed">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.removed";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.removed";
}>;
export type UnmanagedAccessCodeRemovedEvent = z.infer<typeof unmanaged_access_code_removed_event>;
export declare const access_code_events: readonly [z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.created">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.created";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.created";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.changed">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.changed";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.changed";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.scheduled_on_device">;
    code: z.ZodString;
}, "strip", z.ZodTypeAny, {
    code: string;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.scheduled_on_device";
}, {
    code: string;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.scheduled_on_device";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.set_on_device">;
    code: z.ZodString;
}, "strip", z.ZodTypeAny, {
    code: string;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.set_on_device";
}, {
    code: string;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.set_on_device";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.removed_from_device">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.removed_from_device";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.removed_from_device";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.delay_in_setting_on_device">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.delay_in_setting_on_device";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.delay_in_setting_on_device";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.failed_to_set_on_device">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.failed_to_set_on_device";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.failed_to_set_on_device";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.deleted">;
    code: z.ZodNullable<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    code: string | null;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.deleted";
}, {
    code: string | null;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.deleted";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.delay_in_removing_from_device">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.delay_in_removing_from_device";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.delay_in_removing_from_device";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.failed_to_remove_from_device">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.failed_to_remove_from_device";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.failed_to_remove_from_device";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.modified_external_to_seam">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.modified_external_to_seam";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.modified_external_to_seam";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.deleted_external_to_seam">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.deleted_external_to_seam";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.deleted_external_to_seam";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.backup_access_code_pulled">;
    backup_access_code_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.backup_access_code_pulled";
    backup_access_code_id: string;
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.backup_access_code_pulled";
    backup_access_code_id: string;
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.unmanaged.converted_to_managed">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.converted_to_managed";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.converted_to_managed";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.unmanaged.failed_to_convert_to_managed">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.failed_to_convert_to_managed";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.failed_to_convert_to_managed";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.unmanaged.created">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.created";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.created";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.unmanaged.removed">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.removed";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.removed";
}>];
