import { z } from 'zod';
export declare const acs_credential_deleted_event: z.ZodObject<{
    created_at: z.ZodString;
    acs_system_id: z.ZodString;
    workspace_id: z.ZodString;
    acs_credential_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"acs_credential.deleted">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    acs_system_id: string;
    workspace_id: string;
    acs_credential_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "acs_credential.deleted";
}, {
    created_at: string;
    acs_system_id: string;
    workspace_id: string;
    acs_credential_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "acs_credential.deleted";
}>;
export type AcsCredentialDeletedEvent = z.infer<typeof acs_credential_deleted_event>;
export declare const acs_credential_events: readonly [z.ZodObject<{
    created_at: z.ZodString;
    acs_system_id: z.ZodString;
    workspace_id: z.ZodString;
    acs_credential_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"acs_credential.deleted">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    acs_system_id: string;
    workspace_id: string;
    acs_credential_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "acs_credential.deleted";
}, {
    created_at: string;
    acs_system_id: string;
    workspace_id: string;
    acs_credential_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "acs_credential.deleted";
}>];
