import { z } from 'zod';
export declare const acs_user_deleted_event: z.ZodObject<{
    created_at: z.ZodString;
    acs_system_id: z.ZodString;
    workspace_id: z.ZodString;
    acs_user_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"acs_user.deleted">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    acs_system_id: string;
    workspace_id: string;
    acs_user_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "acs_user.deleted";
}, {
    created_at: string;
    acs_system_id: string;
    workspace_id: string;
    acs_user_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "acs_user.deleted";
}>;
export type AcsUserDeletedEvent = z.infer<typeof acs_user_deleted_event>;
export declare const acs_user_events: readonly [z.ZodObject<{
    created_at: z.ZodString;
    acs_system_id: z.ZodString;
    workspace_id: z.ZodString;
    acs_user_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"acs_user.deleted">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    acs_system_id: string;
    workspace_id: string;
    acs_user_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "acs_user.deleted";
}, {
    created_at: string;
    acs_system_id: string;
    workspace_id: string;
    acs_user_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "acs_user.deleted";
}>];
