import { z } from 'zod';
export declare const connected_account_connected_event: z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.connected">;
    connect_webview_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.connected";
}, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.connected";
}>;
export type ConnectedAccountConnectedEvent = z.infer<typeof connected_account_connected_event>;
export declare const connected_account_created_event: z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.created">;
    connect_webview_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.created";
}, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.created";
}>;
export type ConnectedAccountCreatedEvent = z.infer<typeof connected_account_created_event>;
export declare const connected_account_successful_login_event: z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.successful_login">;
    connect_webview_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.successful_login";
}, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.successful_login";
}>;
export type ConnectedAccountSuccessfulLoginEvent = z.infer<typeof connected_account_successful_login_event>;
export declare const connected_account_disconnected_event: z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.disconnected">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.disconnected";
}, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.disconnected";
}>;
export type ConnectedAccountDisconnectedEvent = z.infer<typeof connected_account_disconnected_event>;
export declare const connected_account_completed_first_sync_event: z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.completed_first_sync">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.completed_first_sync";
}, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.completed_first_sync";
}>;
export type ConnectedAccountCompletedFirstSyncEvent = z.infer<typeof connected_account_completed_first_sync_event>;
export declare const connected_account_deleted_event: z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.deleted">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.deleted";
}, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.deleted";
}>;
export type ConnectedAccountDeletedEvent = z.infer<typeof connected_account_deleted_event>;
export declare const connected_account_completed_first_sync_after_reconnection_event: z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.completed_first_sync_after_reconnection">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.completed_first_sync_after_reconnection";
}, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.completed_first_sync_after_reconnection";
}>;
export type ConnectedAccountCompletedFirstSyncAfterReconnectionEvent = z.infer<typeof connected_account_completed_first_sync_after_reconnection_event>;
export declare const connected_account_events: readonly [z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.connected">;
    connect_webview_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.connected";
}, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.connected";
}>, z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.created">;
    connect_webview_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.created";
}, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.created";
}>, z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.successful_login">;
    connect_webview_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.successful_login";
}, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.successful_login";
}>, z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.disconnected">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.disconnected";
}, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.disconnected";
}>, z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.completed_first_sync">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.completed_first_sync";
}, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.completed_first_sync";
}>, z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.deleted">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.deleted";
}, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.deleted";
}>, z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.completed_first_sync_after_reconnection">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.completed_first_sync_after_reconnection";
}, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.completed_first_sync_after_reconnection";
}>];
