import { z } from 'zod';
export declare const seam_event: z.ZodDiscriminatedUnion<"event_type", [z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.created">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.created";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.created";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.changed">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.changed";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.changed";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.scheduled_on_device">;
    code: z.ZodString;
}, "strip", z.ZodTypeAny, {
    code: string;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.scheduled_on_device";
}, {
    code: string;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.scheduled_on_device";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.set_on_device">;
    code: z.ZodString;
}, "strip", z.ZodTypeAny, {
    code: string;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.set_on_device";
}, {
    code: string;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.set_on_device";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.removed_from_device">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.removed_from_device";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.removed_from_device";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.delay_in_setting_on_device">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.delay_in_setting_on_device";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.delay_in_setting_on_device";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.failed_to_set_on_device">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.failed_to_set_on_device";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.failed_to_set_on_device";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.deleted">;
    code: z.ZodNullable<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    code: string | null;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.deleted";
}, {
    code: string | null;
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.deleted";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.delay_in_removing_from_device">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.delay_in_removing_from_device";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.delay_in_removing_from_device";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.failed_to_remove_from_device">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.failed_to_remove_from_device";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.failed_to_remove_from_device";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.modified_external_to_seam">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.modified_external_to_seam";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.modified_external_to_seam";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.deleted_external_to_seam">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.deleted_external_to_seam";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.deleted_external_to_seam";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.backup_access_code_pulled">;
    backup_access_code_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.backup_access_code_pulled";
    backup_access_code_id: string;
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.backup_access_code_pulled";
    backup_access_code_id: string;
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.unmanaged.converted_to_managed">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.converted_to_managed";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.converted_to_managed";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.unmanaged.failed_to_convert_to_managed">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.failed_to_convert_to_managed";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.failed_to_convert_to_managed";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.unmanaged.created">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.created";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.created";
}>, z.ZodObject<{
    access_code_id: z.ZodString;
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"access_code.unmanaged.removed">;
}, "strip", z.ZodTypeAny, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.removed";
}, {
    access_code_id: string;
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "access_code.unmanaged.removed";
}>, z.ZodObject<{
    created_at: z.ZodString;
    acs_system_id: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"acs_system.connected">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    acs_system_id: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "acs_system.connected";
}, {
    created_at: string;
    acs_system_id: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "acs_system.connected";
}>, z.ZodObject<{
    created_at: z.ZodString;
    acs_system_id: z.ZodString;
    workspace_id: z.ZodString;
    acs_credential_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"acs_credential.deleted">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    acs_system_id: string;
    workspace_id: string;
    acs_credential_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "acs_credential.deleted";
}, {
    created_at: string;
    acs_system_id: string;
    workspace_id: string;
    acs_credential_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "acs_credential.deleted";
}>, z.ZodObject<{
    created_at: z.ZodString;
    acs_system_id: z.ZodString;
    workspace_id: z.ZodString;
    acs_user_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"acs_user.deleted">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    acs_system_id: string;
    workspace_id: string;
    acs_user_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "acs_user.deleted";
}, {
    created_at: string;
    acs_system_id: string;
    workspace_id: string;
    acs_user_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "acs_user.deleted";
}>, z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    client_session_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"client_session.deleted">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    client_session_id: string;
    occurred_at: string;
    event_type: "client_session.deleted";
}, {
    created_at: string;
    workspace_id: string;
    client_session_id: string;
    occurred_at: string;
    event_type: "client_session.deleted";
}>, z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.connected">;
    connect_webview_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.connected";
}, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.connected";
}>, z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.created">;
    connect_webview_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.created";
}, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.created";
}>, z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.successful_login">;
    connect_webview_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.successful_login";
}, {
    created_at: string;
    workspace_id: string;
    connect_webview_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.successful_login";
}>, z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.disconnected">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.disconnected";
}, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.disconnected";
}>, z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.completed_first_sync">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.completed_first_sync";
}, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.completed_first_sync";
}>, z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.deleted">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.deleted";
}, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.deleted";
}>, z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"connected_account.completed_first_sync_after_reconnection">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.completed_first_sync_after_reconnection";
}, {
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "connected_account.completed_first_sync_after_reconnection";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.connected">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.connected";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.connected";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.converted_to_unmanaged">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.converted_to_unmanaged";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.converted_to_unmanaged";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.unmanaged.converted_to_managed">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.unmanaged.converted_to_managed";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.unmanaged.converted_to_managed";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.unmanaged.connected">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.unmanaged.connected";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.unmanaged.connected";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.disconnected">;
    error_code: z.ZodEnum<["account_disconnected", "hub_disconnected", "device_disconnected"]>;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    error_code: "account_disconnected" | "hub_disconnected" | "device_disconnected";
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.disconnected";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    error_code: "account_disconnected" | "hub_disconnected" | "device_disconnected";
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.disconnected";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.unmanaged.disconnected">;
    error_code: z.ZodEnum<["account_disconnected", "hub_disconnected", "device_disconnected"]>;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    error_code: "account_disconnected" | "hub_disconnected" | "device_disconnected";
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.unmanaged.disconnected";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    error_code: "account_disconnected" | "hub_disconnected" | "device_disconnected";
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.unmanaged.disconnected";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.tampered">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.tampered";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.tampered";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.low_battery">;
    battery_level: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    battery_level: number;
    occurred_at: string;
    event_type: "device.low_battery";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    battery_level: number;
    occurred_at: string;
    event_type: "device.low_battery";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.battery_status_changed">;
    battery_status: z.ZodEnum<["critical", "low", "good", "full"]>;
    battery_level: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    battery_level: number;
    occurred_at: string;
    event_type: "device.battery_status_changed";
    battery_status: "low" | "full" | "critical" | "good";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    battery_level: number;
    occurred_at: string;
    event_type: "device.battery_status_changed";
    battery_status: "low" | "full" | "critical" | "good";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.removed">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.removed";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.removed";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.deleted">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.deleted";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.deleted";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.third_party_integration_detected">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.third_party_integration_detected";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.third_party_integration_detected";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.third_party_integration_no_longer_detected">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.third_party_integration_no_longer_detected";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.third_party_integration_no_longer_detected";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.salto.privacy_mode_activated">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.salto.privacy_mode_activated";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.salto.privacy_mode_activated";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.salto.privacy_mode_deactivated">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.salto.privacy_mode_deactivated";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.salto.privacy_mode_deactivated";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.connection_became_flaky">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.connection_became_flaky";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.connection_became_flaky";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.connection_stabilized">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.connection_stabilized";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.connection_stabilized";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.error.subscription_required">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.error.subscription_required";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.error.subscription_required";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.error.subscription_required.resolved">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.error.subscription_required.resolved";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.error.subscription_required.resolved";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.accessory_keypad_connected">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.accessory_keypad_connected";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.accessory_keypad_connected";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"device.accessory_keypad_disconnected">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.accessory_keypad_disconnected";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "device.accessory_keypad_disconnected";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"noise_sensor.noise_threshold_triggered">;
    noiseaware_metadata: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>;
    minut_metadata: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "noise_sensor.noise_threshold_triggered";
    noiseaware_metadata?: Record<string, unknown> | undefined;
    minut_metadata?: Record<string, unknown> | undefined;
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "noise_sensor.noise_threshold_triggered";
    noiseaware_metadata?: Record<string, unknown> | undefined;
    minut_metadata?: Record<string, unknown> | undefined;
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"lock.locked">;
    access_code_id: z.ZodOptional<z.ZodString>;
    action_attempt_id: z.ZodOptional<z.ZodString>;
    method: z.ZodEnum<["keycode", "manual", "unknown", "seamapi"]>;
}, "strip", z.ZodTypeAny, {
    method: "manual" | "unknown" | "keycode" | "seamapi";
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "lock.locked";
    access_code_id?: string | undefined;
    action_attempt_id?: string | undefined;
}, {
    method: "manual" | "unknown" | "keycode" | "seamapi";
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "lock.locked";
    access_code_id?: string | undefined;
    action_attempt_id?: string | undefined;
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"lock.unlocked">;
    access_code_id: z.ZodOptional<z.ZodString>;
    action_attempt_id: z.ZodOptional<z.ZodString>;
    method: z.ZodEnum<["keycode", "manual", "unknown", "seamapi"]>;
}, "strip", z.ZodTypeAny, {
    method: "manual" | "unknown" | "keycode" | "seamapi";
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "lock.unlocked";
    access_code_id?: string | undefined;
    action_attempt_id?: string | undefined;
}, {
    method: "manual" | "unknown" | "keycode" | "seamapi";
    device_id: string;
    created_at: string;
    workspace_id: string;
    connected_account_id: string;
    occurred_at: string;
    event_type: "lock.unlocked";
    access_code_id?: string | undefined;
    action_attempt_id?: string | undefined;
}>, z.ZodObject<{
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    enrollment_automation_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"enrollment_automation.deleted">;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    enrollment_automation_id: string;
    occurred_at: string;
    event_type: "enrollment_automation.deleted";
}, {
    created_at: string;
    workspace_id: string;
    enrollment_automation_id: string;
    occurred_at: string;
    event_type: "enrollment_automation.deleted";
}>, z.ZodObject<{
    device_id: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    occurred_at: z.ZodString;
    event_type: z.ZodLiteral<"phone.deactivated">;
}, "strip", z.ZodTypeAny, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    occurred_at: string;
    event_type: "phone.deactivated";
}, {
    device_id: string;
    created_at: string;
    workspace_id: string;
    occurred_at: string;
    event_type: "phone.deactivated";
}>]>;
export type SeamEvent = z.infer<typeof seam_event>;
export type SeamEventType = SeamEvent['event_type'];
