import { z } from 'zod';
export declare const user_identity: z.ZodObject<{
    user_identity_id: z.ZodString;
    user_identity_key: z.ZodNullable<z.ZodString>;
    email_address: z.ZodNullable<z.ZodString>;
    phone_number: z.ZodNullable<z.ZodEffects<z.ZodString, string, string>>;
    display_name: z.ZodString;
    full_name: z.ZodNullable<z.ZodString>;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    workspace_id: string;
    display_name: string;
    user_identity_id: string;
    full_name: string | null;
    email_address: string | null;
    phone_number: string | null;
    user_identity_key: string | null;
}, {
    created_at: string;
    workspace_id: string;
    display_name: string;
    user_identity_id: string;
    full_name: string | null;
    email_address: string | null;
    phone_number: string | null;
    user_identity_key: string | null;
}>;
export type UserIdentity = z.output<typeof user_identity>;
